require( "scripts/style.lua" );

require( "scripts/level.lua" );

-- The "Twodemos" game handles its messages in Lua, unlike the "TGame" game
-- which handles them in C++.
function SendGameMessage( msg )
	if msg=="quit" then
		QuitToMainMenu();
	end
end

-- Speed buttons Creation
ButtonX = kCenter + 200 ;
ButtonY = 30;
ButtonXSpace = 45;

NameStyle= {
	type = kRadio,
	flags = kHAlignCenter + kVAlignCenter,
	font = StandardButtonFont,
	graphics = NameButtonGraphics,
	sound = kDefaultButtonSound
};

MakeDialog
{
	name="backgroundimage",
	
	---------------------------------------------------------
	-- GAME WINDOW                                         --
	---------------------------------------------------------
	GameWindow
	{
		x=0,
		y=0,
		w=1024,
		h=600,
		
		---------------------------------------------------------
		-- INFORMATION WINDOW  			        --
		---------------------------------------------------------
		InformationWindow
		{
			name = "information_window",
			x = kCenter,

			-- hidden position
			y = 580,
			w = kMax,
			h = kMax,
			-- displayed position
			y_displayed = 580 - 140,
			
			transition_time = 0.5,
			interval_time = 1,
			Bitmap
			{
				x = kCenter,
				y = kCenter,
				image = "backgrounds/dialogue_box_portrait.jpg",
			
				Bitmap
				{
					name = "information_vignette",
					x = 30,
					y = kCenter,
					image = "backgrounds/dialog/vignette_abeille",
				},
				
				Text
				{
					name = "information_dialog",
					x = 190,
					y = 20,
					w = 630,
					h = kMax - 20,
					label = "test",
					
					font = InformationDialogFont,
					flags = kHAlignLeft + kVAlignCenter,
				},
				SetStyle( ButtonStyle );
				Button
				{
					name = "view",
					x = 830,
					y = 40,
					font = BookAntiquaStandardButtonFont,
					graphics = InformationWindowButtonGraphics,
					label = "view",
					type = kPush,
					command=
						function()
							InformationWindowAction();
						end
				},
				Button
				{
					name = "ignore",
					x = 830,
					y = 90,
					font = BookAntiquaStandardButtonFont,
					graphics = InformationWindowButtonGraphics,
					label = "ignore",
					type = kPush,
					command=
						function()
							HideInformation();						
						end
				},
				Button
				{
					name = "ok",
					x = 830,
					y = 90,
					font = BookAntiquaStandardButtonFont,
					graphics = InformationWindowButtonGraphics,
					label = "ok",
					type = kPush,
					command=
						function()
							InformationWindowCallback();
							HideInformation();						
						end
				},
				--Button for choice info
				Button
				{
					name = "yes",
					x = 830,
					y = 40,
					font = BookAntiquaStandardButtonFont,
					graphics = InformationWindowButtonGraphics,
					label = "yes",
					type = kPush,
					command=
						function()
							InformationWindowCallback();
							HideInformation();
						end
				},
				Button
				{
					name = "no",
					x = 830,
					y = 90,
					font = BookAntiquaStandardButtonFont,
					graphics = InformationWindowButtonGraphics,
					label = "no",
					type = kPush,
					command=
						function()
							InformationWindowCallbackNo();
							HideInformation();						
						end
				},
				Button
				{
					name = "next",
					x = 830,
					y = 40,
					font = BookAntiquaStandardButtonFont,
					graphics = InformationWindowButtonGraphics,
					label = "next",
					type = kPush,
					command=
						function()
							InformationWindowNext();
							HideInformation();
						end
				},
				Button
				{
					name = "skip",
					x = 830,
					y = 90,
					font = BookAntiquaStandardButtonFont,
					graphics = InformationWindowButtonGraphics,
					label = "skip",
					type = kPush,
					command=
						function()
							InformationWindowSkip();
							HideInformation();
						end
				},
			},
		},
    
    
    ---------------------------------------------------------
		-- BANQUET AND END QUEST WINDOW  			        --
		---------------------------------------------------------
		BanquetAndEndQuestWindow
		{
			name = "banquet_and_end_quest_window",
			x = kCenter,
			y = kCenter-100,
			
			fading_time = 3,
      stay_time = 5,			
			w = kMax,
			h = kMax,
			label = "test",
			
			font = BanquetAndEndQuestDialogFont,
			flags = kHAlignCenter + kVAlignCenter,
		},
		
		---------------------------------------------------------
		-- TASKLIST WINDOW  			        --
		---------------------------------------------------------
		TaskListWindow
		{
			name = "tasklist_window",
			x = kCenter,           
            -- hidden position
			y = -65,
			-- displayed position
			y_displayed = 0,
			
			transition_time = 0.5,
			
			image = "backgrounds/tooltip_background",
			
			Text
			{
				name = "task_text",
				x = kCenter,
				y = kCenter,
				w = 269,
				h = 65,
				label = "",
				
				font = InformationDialogFont,
				flags = kHAlignCenter + kVAlignCenter,
			},
		},
	},
	
	SetStyle( UpHUDStyle );
    ---------------------------------------------------------
	-- BOTTOM HUD                                          --
	---------------------------------------------------------
    BottomHUD
    {
		name="bottomHUD",
		font = UpHUDFont,
		--fit=true, 
		x=0,
	    y=600,
	    w=1024,
	    h=168,
	    
		SetStyle( ButtonStyle );
      
		---------------------------------------------------------
		-- BUTTONS                                    --
		---------------------------------------------------------
		Button
		{
			x= kCenter + 427,
			y= kCenter + 62,
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphicsQuitOption,
			name="quitingame",
			label="quit",
			type = kPush,
			command=
				function()
					local bodyquit = "";
					local IsInLinearTuto = false;
					if( IsGameInLinearTuto() ) then
						bodyquit = "quitigtutoconfirm";
						IsInLinearTuto = true;
					else
						bodyquit = "quitigconfirm";
					end
					result = DisplayDialog {
						"scripts/yesno.lua",
						body = bodyquit,
						title = "quitigtitle"
					};
					if(result == 'yes') then
						if ( IsInLinearTuto == false ) then
							LogGameEvent( "Game_Quit", Time_to_time_event );
							Save();
						else
							LogGameEvent( "Game_Quit_Before_TutoEnd", Time_to_time_event );
						end
						LogEndTestInfos();
						SwapToModal("scripts/mainmenu.lua");
					end
                end
		},
		
		Button
		{
			x=kCenter  + 427,
			y=kCenter  + 25,
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphicsQuitOption,
			name="options",
			label="options",
			type=kPush,
			command=
				function()
					PlayInterfaceFX( "fx/fx_interface_3_bouton_large.lua", 427, 25);
					DoModal("scripts/options.lua");
				end
		},
      
		---------------------------------------------------------
		-- ANIMATED BUTTONS                                    --
		---------------------------------------------------------
        --Map
        AnimatedButton
		{
			x= kCenter - 464 ,
			y= kCenter + 43 ,
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphicsDesactivated,
			name="map_desactived",
        
            image_uphover = "buttons/hud_map.png",
			image_up      = "buttons/hud_map.png",
			image_down    = "buttons/hud_map.png",
		},
        
		HighlightedButton
		{
			x= kCenter - 464 ,
			y= kCenter + 43 ,
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphics,
			name="map",
			--label="map",
			type=kPush,
        
			image_uphover = "anim/widgets/globe.xml",
			image_up      = "buttons/hud_map.png",
			image_down    = "buttons/hud_map_over.png",
         
            highlight_anim  = "anim/widgets/button_hud_map_highlight",
      
			command=
				function()
					if IsMapNavigationEnabled() and IsMapButtonActivated() then
						DisplayTutorialCallback( "TUTO_map" );
						PlayInterfaceFX( "fx/fx_interface_2.lua", -464, 22);
						DoModal("scripts/map.lua");
					end
				end
		},
        
        --Tome of lore
        AnimatedButton
		{
			x= kCenter - 384 ,
			y= kCenter + 43,
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphicsDesactivated,
			name="tome_desactived",

			image_uphover = "buttons/hud_tome.png",
			image_up      = "buttons/hud_tome.png",
			image_down    = "buttons/hud_tome.png",
		},
	  
		HighlightedButton
		{
			x= kCenter - 384 ,
			y= kCenter + 43,
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphics,
			name="tome",
			--label="map",
			type=kPush,
        
			image_uphover = "anim/widgets/livre.xml",
			image_up      = "buttons/hud_tome.png",
			image_down    = "buttons/hud_tome_over.png",
      
            highlight_anim  = "anim/widgets/button_hud_tome_highlight",
		
			command =
				function()
                    if IsTomeButtonActivated() then
						DisplayTutorialCallback( "TUTO_tome_welcome" );
                        PlayInterfaceFX( "fx/fx_interface_2.lua", -384, 22);
                        DoModal("scripts/sommaire.lua");
                    end
				end
		},
	  
        --Boutique
        AnimatedButton
		{
			x= kCenter + 387,
			y= kCenter - 29,      
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphicsDesactivated,
			name = "boutique_desactived",
        
			image_uphover = "buttons/hud_boutique.png",
			image_up      = "buttons/hud_boutique.png",
			image_down    = "buttons/hud_boutique.png",
		},
        
        HighlightedButton
		{
			x= kCenter + 387,
			y= kCenter - 29,      
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphics,
			name = "boutique",
			--label="map",
			type=kPush,
        
			image_uphover = "anim/widgets/boutique.xml",
			image_up      = "buttons/hud_boutique.png",
			image_down    = "buttons/hud_boutique_over.png",
            
            highlight_anim  = "anim/widgets/button_hud_shop_highlight",
        
			command = 
				function()
                    if IsShopButtonActivated() then
                        DisplayTutorialCallback( "TUTO_shop_welcome" );
                        PlayInterfaceFX( "fx/fx_interface_2.lua", 387, -50);
                        DoModal("scripts/shop.lua");
                    end
				end
		},
        
        --Vitesse de jeu
        AnimatedButton
		{
			x= kCenter + 465,
			y= kCenter - 29,      
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphicsDesactivated,
			name="vitesse_desactived",
            
			image_uphover = "buttons/hud_vitesse.png",
			image_up      = "buttons/hud_vitesse.png",
			image_down    = "buttons/hud_vitesse.png",
		},
	  
		AnimatedButton
		{
			x= kCenter + 465,
			y= kCenter - 29,      
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphics,
			name="vitesse",
			--label="map",
			type=kPush,
        
			image_uphover = "anim/widgets/vitesse.xml",
			image_up      = "buttons/hud_vitesse.png",
			image_down    = "buttons/hud_vitesse_over.png",
         
			command=
				function()
                    if IsSpeedButtonActivated() then
						PlayInterfaceFX( "fx/fx_interface_2.lua", 465, -50);
						if GetTutoOn() and not TutorialCallbackIsDone( "TUTO_speed" ) then
							DisplayTutorialCallback( "TUTO_speed" );							
						else
							DoModal("scripts/speed.lua");
						end
                    end
				end
		},
        
        --Chien
        AnimatedButton
		{
			x= kCenter -  464,
			y= kCenter -  29,      
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphicsDesactivated, 
			name="chien_desactived",
            
			image_uphover = "buttons/hud_chien.png",
			image_up      = "buttons/hud_chien.png",
			image_down    = "buttons/hud_chien.png",
		},
	  
		HighlightedButton
		{
			x= kCenter -  464,
			y= kCenter -  29,      
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphics, 
			name="chien",
			--label="map",
			type=kPush,
        
			image_uphover = "anim/widgets/chienanime",
			image_up      = "buttons/hud_chien.png",
			image_down    = "buttons/hud_chien_over.png",
        
			highlight_anim  = "anim/widgets/button_chien_highlight",
        
			command = 
				function()
					if IsMapNavigationEnabled() and IsChienButtonActivated() then
						PlayInterfaceFX( "fx/fx_interface_2.lua", -464, -50);
						ViewObject( "id_labrador", true );
						if IsGameInLinearTuto() then
							DisplayTutorialCallback("TUTO_dog");
						end
					end
				end
		},
        
        -- Fee
        AnimatedButton
		{
			x= kCenter - 384,
			y= kCenter - 29,      
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphicsDesactivated,
			name="fee_desactived",
            
			image_uphover = "buttons/hud_fee.png",
			image_up      = "buttons/hud_fee.png",
			image_down    = "buttons/hud_fee.png",
		},
	  
		HighlightedButton
		{
			x= kCenter - 384,
			y= kCenter - 29,      
			font = BookAntiquaStandardButtonFont,
			graphics = HUDButtonGraphics,
			name="fee",
			--label="map",
			type=kPush,
        
			image_uphover = "buttons/hud_fee.png",
			image_up      = "buttons/hud_fee.png",
			image_down    = "buttons/hud_fee_over.png",
      
            highlight_anim  = "anim/widgets/button_hud_faery_highlight",
      
			command = 
				function()
                    if IsFeeButtonActivated() then
                        PlayInterfaceFX( "fx/fx_interface_2.lua", -384, -50);
                        DoModal("scripts/tips.lua");
                    end
				end
		},
	  
		---------------------------------------------------------
		-- VILLAGE			                                   --
		---------------------------------------------------------
		Button
		{
			x=kCenter  - 293,
			y=kCenter  - 35,
		
			name = "icon_nourriture",
			--image = "backgrounds/hud/pomme" ,
            graphics = {"backgrounds/hud/pomme", "backgrounds/hud/pomme", "backgrounds/hud/pomme"},
		},
		
		Text
		{
			name = "food_value",
			x = kCenter - 250,
			y = kCenter - 30,
			w =  45,
			h =  30,
			flags = kVAlignCenter + kHAlignRight,
			font = UpHUDFont,
		},
	  
		Button
		{
			x=kCenter  - 293,
			y=kCenter  + 43,
		
			name = "icon_population",
			--image = "backgrounds/hud/population" ,
            graphics = {"backgrounds/hud/population", "backgrounds/hud/population", "backgrounds/hud/population"},
		},

		Text
		{
			name = "population_value",
			x = kCenter - 240,
			y = kCenter + 48,
			w = 25,
			h = 30,
			flags = kVAlignCenter + kHAlignRight,
			font = UpHUDFont,
		},
	  
		Button
		{
			x=kCenter  - 293,
			y=kCenter  + 4,
		
			name = "icon_feerie",
			--image = "backgrounds/hud/etoile",
            graphics = {"backgrounds/hud/etoile", "backgrounds/hud/etoile", "backgrounds/hud/etoile"},
		},
		
		Text
		{
			name = "faery_value",
			x = kCenter - 250,
			y = kCenter + 8,
			w = 45,
			h = 30,
			flags = kVAlignCenter + kHAlignRight,
			font = UpHUDFont,
		},
		
		---------------------------------------------------------
		-- MORAL POPULATION			                           --
		---------------------------------------------------------
		Text
		{
			name = "pop_heureux_value",
			x = kCenter - 122,
			y = kCenter + 48,
			w = 40,
			h = 30,
			flags = kHAlignCenter,
			font = HudMoraleFont,
		},
	  
		Text
		{
			name = "pop_normal_value",
			x = kCenter - 53,
			y = kCenter + 48,
			w = 40,
			h = 30,
			flags = kHAlignCenter,
			font = HudMoraleFont,
		},
	  
		Text
		{
			name = "pop_triste_value",
			x = kCenter + 8,
			y = kCenter + 48,
			w = 40,
			h = 30,
			flags = kHAlignCenter,
			font = HudMoraleFont,
		},
		
		Text
		{
			font = BookAntiquaTitle20Font,
			name = "morals",
			x=kCenter - 24,
			y=kCenter - 51,
			flags = kVAlignCenter + kHAlignLeft,
			w=200,
			h=70,
			label="morals"
		},
	  
	  
	    Bitmap
	    {
			x=kCenter  - 55,
			y=kCenter  + 7,
		 
			name = "img_cadre_morale_population" ,
			image = "backgrounds/hud/cadre_morale_population" ,

            Button
			{
				x=kCenter  - 65,
				y=kCenter  -6,
                graphics = {"buttons/bouton_pop_heureux_normal.jpg", "buttons/bouton_pop_heureux_normal.jpg", "buttons/bouton_pop_heureux_normal.jpg"},
                type=kPush,
				name = "img_pop_heureux_desactivated" ,
			},
        
			Button
			{
				x=kCenter  - 65,
				y=kCenter  -6, 
                graphics = {"buttons/bouton_pop_heureux_normal.jpg", "buttons/bouton_pop_heureux_down.jpg", "buttons/bouton_pop_heureux_over.jpg"},
                type=kPush,
				name = "img_pop_heureux" ,
                command =
					function()
                        if IsButtonHUDActivated() then
                            SwitchCharacter("pop_heureux");
                        end
					end
			},
            
            Button
			{
				x=kCenter  + 2,
				y=kCenter  - 6,
                graphics = {"buttons/bouton_pop_normal.jpg", "buttons/bouton_pop_normal.jpg", "buttons/bouton_pop_normal.jpg"},
                type=kPush,
				name = "img_pop_normal_desactivated" ,
			},
	  
	        Button
			{
				x=kCenter  + 2,
				y=kCenter  - 6,
                graphics = {"buttons/bouton_pop_normal.jpg", "buttons/bouton_pop_normal_down.jpg", "buttons/bouton_pop_normal_over.jpg"},
                type=kPush,
				name = "img_pop_normal" ,
                command =
					function()
                        if IsButtonHUDActivated() then
                            SwitchCharacter("pop_normal");
                        end
					end
			},
            
            Button
			{
				x=kCenter  + 65,
				y=kCenter  - 6, 
                graphics = {"buttons/bouton_pop_triste_normal.jpg", "buttons/bouton_pop_triste_normal.jpg", "buttons/bouton_pop_triste_normal.jpg"},
                type=kPush,
				name = "img_pop_triste_desactivated" ,
			},
	     
			Button
			{
				x=kCenter  + 65,
				y=kCenter  - 6,
                graphics = {"buttons/bouton_pop_triste_normal.jpg", "buttons/bouton_pop_triste_down.jpg", "buttons/bouton_pop_triste_over.jpg"},
                type=kPush,
				name = "img_pop_triste" ,
                command =
					function()
                        if IsButtonHUDActivated() then
    						SwitchCharacter("pop_triste");
                        end
					end
			},
	    },
	  
		---------------------------------------------------------
		-- CHARACTER SELECTION		                           --
		---------------------------------------------------------
		Bitmap
		{
			x=kCenter  - 3,
			y=kCenter  + 11,
		
			name = "icon_nature" ,
			image = "backgrounds/hud/feuille",
		},
	  
		Bitmap
		{
			x=kCenter  - 110,
			y=kCenter  + 5,
		
			name = "portrait",
			image = "backgrounds/hud/portrait_dryade.png" ,
		},
	  
		Bitmap
		{
			x=kCenter  + 88,
			y=kCenter  + 11,
		
			name = "icon_exploration" ,
			image = "backgrounds/hud/rosevent" ,
		},
	  
		Bitmap
		{
			x=kCenter  + 179,
			y=kCenter  + 12,
		
			name = "icon_savoir" ,
			image = "backgrounds/hud/fiole" ,
		},
	  
		Bitmap
		{
			x=kCenter  + 265,
			y=kCenter  + 12,
		
			name = "icon_musique" ,
			image = "backgrounds/hud/musique" ,
		},
		
		Text
		{
			font = BookAntiquaTitle20FontVerryHappy,
			name = "morals_veryhappy",
			x=kCenter - 56,
			y=kCenter + 62,
			flags = kVAlignCenter + kHAlignLeft,
			w=200,
			h=70,
			label="very_happy",
		},
		
		Text
		{
			font = BookAntiquaTitle20FontHappy,
			name = "morals_happy",
			x=kCenter - 56,
			y=kCenter + 62,
			flags = kVAlignCenter + kHAlignLeft,
			w=200,
			h=70,
			label="happy",
		},
		
		Text
		{
			font = BookAntiquaTitle20FontSad,
			name = "morals_sad",
			x=kCenter - 56,
			y=kCenter + 62,
			flags = kVAlignCenter + kHAlignLeft,
			w=200,
			h=70,
			label="sad",
		},
		
		SetStyle( MenuAnimaticStyleHudLeft ),
		Button
		{
			name = "previouscharacter",
			x = kCenter-170,
			y = kCenter+10,
			command = function()
						PreviousCharacter();						
					  end
		},
		SetStyle( MenuAnimaticStyleHud ),		
		Button{
				name="nextcharacter",
				x = kCenter+23,
				y = kCenter+10,
				w=175,
				command =
					function()
						NextCharacter();
					end
			};
		
		
		
		HighlightedText
		{
			name = "action_description",
			x = kCenter + 150,
			y = kCenter + 53,
			w = 340,
			h = 35,
			flags = kHAlignLeft,
			font = ActionDescriptionFont,
            font_highlight = ActionDescriptionHighlightFont,
		},
		
		Text
		{
			name = "name_field",
		
			x = kCenter +  175,
			y = kCenter - 28,
			w = 400,
			h = 35,
		
			flags = kHAlignLeft + kVAlignCenter,
			font = UpHUDFont,
		},
	  
		Text
		{
			name = "nature_field",
		
			x = kCenter + 30,
			y = kCenter + 11,
			w = 30,
			h = 25,
		
			flags = kHAlignCenter,
			font = UpHUDFont,
		},
	  
		Text
		{
			name = "exploration_field",
		
			x = kCenter + 125,
			y = kCenter + 16,
			w = 30,
			h = 30,
		
			flags = kHAlignCenter,
			font = UpHUDFont,
		},
	  
		Text
		{
			name = "knowledge_field",
		
			x = kCenter + 217,
			y = kCenter + 16,
			w = 30,
			h = 30,
		
			flags = kHAlignCenter,
			font = UpHUDFont,
		},
	  
		Text
		{
			name = "music_field",
		
			x = kCenter + 292,
			y = kCenter + 16,
			w = 30,
			h = 30,
		
			flags = kHAlignCenter,
			font = UpHUDFont,
		},
		
		---------------------------------------------------------
		-- NO SELECTION		                           		   --
		---------------------------------------------------------
		Bitmap
		{
			x=kCenter  + 190,
			y=kCenter  + 7,
		
			name = "img_cadre_chien_fee" ,
			image = "backgrounds/hud/cadre_description_zone" ,
		
			--[[Bitmap
			{
				x=kCenter - 42,
				y=kCenter ,
				name = "img_chien" ,
				image = "backgrounds/hud/chien_normal" ,
			},
	  
			Bitmap
			{
				x=kCenter + 44,
				y=kCenter ,
				name = "img_fee" ,
				image = "backgrounds/hud/fee_normal" ,
			},]]
            
            ---------------------------------------------------------
            -- SOURCE SELECTION		                           --
            ---------------------------------------------------------

            Text
            {
              name = "desc_ld_field",
              x = kCenter,
              y = kCenter,
              w = 230,
              h = 100,
              flags = kHAlignCenter + kVAlignCenter,
              font = Desc_Font,
            },
		},
        
        Text
        {
            name = "nom_ld_field",
            x = kCenter + 185,
            y = kCenter - 46,
    		w = 240,
    		h = 30,
            flags = kHAlignCenter,
            font = UpHUDFont,
            },
    },
	
	---------------------------------------------------------
	-- PSEUDO TOOLTIP WINDOW  			                   --
	---------------------------------------------------------
		PseudoTooltipWindow
		{
			name = "pseudotooltip_window",
			x = kCenter,           
            -- hidden position
			y = -65,
			
			image = "backgrounds/tooltip_background",
			
			Text
			{
				name = "pseudotooltip_text",
				x = kcenter,
				y = kcenter,
				w = 289,
				h = 65,
				label = "",
				
				font = InformationDialogFont,
				flags = kHAlignCenter + kVAlignCenter,
			},
		},
    
    ---------------------------------------------------------
	-- FAERY                               		                 --
	---------------------------------------------------------
	FaeryWindow
	{
		name = "faery_pnj",
		x = kCenter,
		y = kCenter,
		w = 50,
		h = 50,
	},
}
